name: sefer_admin1
description: "A new Flutter project."
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: ">=3.3.2 <4.0.0"

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  # agora_rtc_engine: ^6.3.0
  # device_info_plus: ^10.1.0
  secure_string_operations:
    path: ./secure_string_operations
  dio: ^5.4.3+1
  envied: ^1.0.0
  firebase_core: ^3.9.0
  firebase_messaging: ^15.1.6
  fl_chart: ^0.70.0
  flutter:
    sdk: flutter
  flutter_launcher_icons: ^0.14.2
  # flutter_local_notifications: ^17.1.1
  # flutter_paypal: ^0.2.0
  flutter_secure_storage: ^9.0.0
  #  flutter_stripe: ^10.1.1
  get: ^4.6.6
  get_storage: ^2.1.1
  google_fonts: ^6.2.1
  # google_maps_flutter: ^2.6.1
  flutter_map: ^7.0.0 # مكتبة OpenStreetMap للفلاتر
  latlong2: ^0.9.1
  google_sign_in: ^6.2.1
  http: ^1.0.0
  # image: ^4.1.7
  image_cropper: ^8.0.2
  image_picker: ^1.1.1
  intl: ^0.19.0
  local_auth: ^2.2.0
  # location: ^6.0.1
  path: ^1.9.0
  sqflite: ^2.3.3+1
  url_launcher: ^6.2.6
  # webview_flutter: ^4.7.0
  googleapis_auth: ^1.6.0
  firebase_crashlytics: ^4.2.0
  flutter_image_compress: ^2.3.0
  jwt_decoder: ^2.0.1
  encrypt: ^5.0.3
  device_info_plus: ^11.5.0
  flutter_staggered_animations: ^1.1.1
  jailbreak_root_detection: ^1.1.5

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  envied_generator: ^1.0.0
  build_runner: ^2.4.6

flutter_launcher_icons:
  android: "ic_launcher" # Changed to ic_launcher
  ios: true
  image_path: "assets/images/logo.png"
  min_sdk_android: 21
  adaptive_icon_background: "#ffffff" # Optional: for adaptive icons on Android
  adaptive_icon_foreground: "assets/images/logo.png" # Optional: for adaptive icons
  web:
    generate: true
    image_path: "assets/images/logo.png"
    background_color: "#ffffff"
    theme_color: "#000000"
  windows:
    generate: true
    image_path: "assets/images/logo.png"
    icon_size: 48
  macos:
    generate: true
    image_path: "assets/images/logo.png"

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
